%define major	0
%define libname	%mklibname afpclient %major
%define devname	%mklibname afpclient -d

Summary:	An open source client for Apple Filing Protocol
Name:		afpfs-ng
Version:	0.8.1
Release:	%mkrel 16
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://sites.google.com/site/alexthepuffin/home
Source:		https://sourceforge.net/projects/afpfs-ng/files/afpfs-ng/%version/afpfs-ng-%version.tar.bz2
# patches from Debian:
Patch10:	build-error-fixes.patch
Patch11:	header-path-fix.patch
Patch12:	include-headers-fix.patch
Patch20:	afpfs-ng-0.8.1-pointer.patch
Patch21:	afpfs-ng-c99.patch
Patch22:	afpfs-ng-0.8.1-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libgcrypt-devel

%description
afpfs-ng is a client for the Apple Filing Protocol (AFP) which will let
you mount and access shared volumes from Mac OS X (or netatalk).

There is a FUSE-based client which lets you mount a remote filesystem.

There is also a simple, command-line AFP client; think about it as an
FTP client for AFP.

%package -n %libname
Summary:	Shared library of %name
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
This package contains the library needed to run programs dynamically
linked with libafpclient, an Apple Filing Protocol (AFP) client library.

%package -n %devname
Summary:	Development headers for libafpclient
Group:		Development/C
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Provides:	afpclient-devel = %version-%release

%description -n %devname
This package contains the headers needed to compile programs that use
libafpclient, an Apple Filing Protocol (AFP) client library.

%prep
%autosetup -p1

%build
export CFLAGS="${RPM_OPT_FLAGS} -fcommon"
autoreconf -if
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc docs/*.txt docs/README
%{_bindir}/afp*
%{_bindir}/mount_afp
%{_mandir}/man1/*afp*.1*

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_libdir}/*.so
%{_includedir}/%{name}


%changelog
* Mon Oct 07 2024 ns80 <ns80> 0.8.1-16.mga10
+ Revision: 2104007
- fix building with GCC 14
+ daviddavid <daviddavid>
- add archlinux patches to fix build with GCC 14

* Fri Mar 18 2022 umeabot <umeabot> 0.8.1-14.mga9
+ Revision: 1797772
- Mageia 9 Mass Rebuild

* Tue May 26 2020 neoclust <neoclust> 0.8.1-13.mga8
+ Revision: 1587717
- fix FTBFS for legacy code use -fcommon
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 0.8.1-12.mga8
+ Revision: 1542016
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.8.1-11.mga8
+ Revision: 1475925
- rebuild for readline
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-10.mga7
+ Revision: 1297296
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 0.8.1-9.mga7
+ Revision: 1189411
- rebuild for new readline

* Wed Feb 10 2016 umeabot <umeabot> 0.8.1-8.mga6
+ Revision: 953050
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 fwang <fwang> 0.8.1-7.mga6
+ Revision: 876912
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-6.mga5
+ Revision: 751240
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-5.mga5
+ Revision: 686462
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 677714
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.1-3.mga4
+ Revision: 502465
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 345323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 anssi <anssi> 0.8.1-1.mga2
+ Revision: 217438
- initial Mageia package release

